# bootstrap-pug
[Bootstrap](http://getbootstrap.com) framework written completely using mixins in [PUG](http://pugjs.org)

[![Build Status](https://travis-ci.org/rajasegar/bootstrap-pug.svg?branch=master)](https://travis-ci.org/rajasegar/bootstrap-pug) 
[![npm](https://img.shields.io/npm/dm/bootstrap-pug.svg)](https://www.npmjs.com/package/bootstrap-pug)  
[![npm version](http://img.shields.io/npm/v/bootstrap-pug.svg?style=flat)](https://npmjs.org/package/bootstrap-pug "View this project on npm")
[![MIT license](http://img.shields.io/badge/license-MIT-brightgreen.svg)](http://opensource.org/licenses/MIT)

## Documentation
[Documentation](http://rajasegar.github.io/bootstrap-pug/) 

## Quickstart
  Several quick start options are available:
  * [Download the latest release] (https://github.com/rajasegar/bootstrap-pug/archive/master.zip)
  * Clone the repo: `git clone https://github.com/rajasegar/bootstrap-pug.git`.
  * Install with [npm](https://www.npmjs.com/): `npm install bootstrap-pug`.


### What's included

Within the download you'll find the following directories and files, logically grouping common mixins. You'll see something like this:

```
bootstrap.pug
├── components/
│   ├── accordion.pug
│   ├── alerts.pug
│   ├── carousel.pug
│   ├── dropdowns.pug
│   ├── forms.pug
│   ├── icons.pug
│   ├── labels.pug
│   ├── list-groups.pug
│   ├── modal.pug
│   ├── navbar.pug
│   ├── navs.pug
│   ├── panels.pug
│   ├── progress-bars.pug
│   ├── tables.pug
│   ├── tabs.pug
│   ├── toggle.pug
│   └── tooltips.pug
└── layouts/
    ├── blog.pug
    ├── carousel.pug
    ├── cover.pug
    ├── dashboard.pug
    ├── jumbotron.pug
    ├── jumbotron-narrow.pug
    ├── justified-nav.pug
    ├── navbar.pug
    ├── navbar_fixed.pug
    ├── navbar_static.pug
    ├── non-responsive.pug
    ├── offcanvas.pug
    ├── sign-in.pug
    ├── starter.pug
    ├── sticky-footer.pug
    ├── sticky-footer-navbar.pug
    └── theme-template.pug

```
  
  
## Features

  * Bootstrap set as the default UI framework
  * PUG set as the default Template engine
  * Focus on high performance
  * Super-speed development using PUG mixins
  * Some widely used sample layouts to start with.
